Get distinct values for a column
curl --request GET \
--url https://api.avidoai.com/v0/reporting/datasources/{id}/columns/{columnId}/values \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/reporting/datasources/{id}/columns/{columnId}/values"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/reporting/datasources/{id}/columns/{columnId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "PENDING",
"name": "PENDING"
},
{
"id": "IN_PROGRESS",
"name": "IN_PROGRESS"
},
{
"id": "COMPLETED",
"name": "COMPLETED"
}
]
}
Reports
Get distinct values for a column
Returns a list of distinct values from a specific column in a datasource. For relation columns (e.g., topicId), returns the related records with their IDs and display names.
GET
/
v0
/
reporting
/
datasources
/
{id}
/
columns
/
{columnId}
/
values
Get distinct values for a column
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
Datasource identifier
Available options:
task, test, eval, topic, tag, human_annotation Example:
"task"
Column identifier
Example:
"status"
Response
Successfully retrieved column values
Response containing distinct column values
List of distinct values for the column
Show child attributes
Show child attributes
⌘I